%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary:       Re-implement threading.Lock, RLock and Condition with libpthread
Name:          python-pthreading
Version:       0.1.3
Release:       3%{?dist}

License:       GPLv2+
Group:         System Environment/Libraries

Source0:       http://pypi.python.org/packages/source/p/pthreading/pthreading-%{version}.tar.gz
URL:           http://pypi.python.org/pypi/pthreading

BuildArch: noarch
BuildRequires: python2

Patch0: python-pthreading-01-COPYING-and-tests.patch
Patch1: 0003-Add-the-missing-locked-interface.patch

%description
The pthreading module provides Lock and Condition synchronization
objects compatible with Python native threading module.
The implementation, however, is based on POSIX thread library as delivered
by the libpthread and has considerable performance benefits over Python 2.x's
implementation.

%prep
%setup -q -n pthreading-%{version}
%patch0
%patch1 -p1

%build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-lib %{python_sitelib}

%check
%{__python} setup.py test

%files
%doc COPYING
%{python_sitelib}/pthread.py*
%{python_sitelib}/pthreading.py*
%{python_sitelib}/pthreading-%{version}-py*.egg-info

%changelog
* Sun Jul 13 2014 Yaniv Bronhaim <ybronhei@redhat.com> - 0.1.3-3
- Revert monkey_patch: Fail if it is too late to monkey-patch and will add in 0.1.4

* Thu Jul 10 2014 Douglas SChilling Landgraf <dougsland@redhat.com> - 0.1.3-2
- monkey_patch: Fail if it is too late to monkey-patch
- Add the missing locked() interface

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.3-0
- Monkeypatch python's thread.allocate_lock

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.2-1
- Release 0.1.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 27 2012 Dan Kenigsberg <danken@redhat.com> - 0.1.1-1
Initial take
